%global bundle  org.apache.felix.gogo.runtime

Name:           felix-gogo-runtime
Version:        1.1.0
Release:        %mkrel 4
Group:          Development/Java
Summary:        Apache Felix Gogo command line shell for OSGi
License:        ASL 2.0
URL:            http://felix.apache.org/documentation/subprojects/apache-felix-gogo.html

Source0:        http://archive.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:gogo-parent:pom:) >= 4
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.osgi:osgi.cmpn)
BuildRequires:  mvn(org.osgi:osgi.core)

%description
Apache Felix is a community effort to implement the OSGi R4 Service Platform
and other interesting OSGi-related technologies under the Apache license. The
OSGi specifications originally targeted embedded devices and home services
gateways, but they are ideally suited for any project interested in the
principles of modularity, component-orientation, and/or service-orientation.
OSGi technology combines aspects of these aforementioned principles to define a
dynamic service deployment framework that is amenable to remote management.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file : felix/%{bundle}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Sun Dec 06 2020 neoclust <neoclust> 1.1.0-4.mga8
+ Revision: 1653248
- Disable tests

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1501379
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1278227
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1254610
- new version: 1.1.0 (sync with fc29)

* Wed May 17 2017 neoclust <neoclust> 0.16.2-7.mga6
+ Revision: 1102531
- Add BR maven-bundle-plugin to fix build.

* Wed Mar 02 2016 neoclust <neoclust> 0.16.2-6.mga6
+ Revision: 981909
- Second rebuild of the java stack

* Wed Mar 02 2016 neoclust <neoclust> 0.16.2-5.mga6
+ Revision: 981762
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.16.2-4.mga6
+ Revision: 976242
- First rebuild of the java stack
- sync package felix-gogo-runtime with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 0.12.1-2.mga5
+ Revision: 805679
- Clean rebuild
- Sync with Fedora 21 (Update to 0.1.21)

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 742703
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 0.10.0-3.mga4
+ Revision: 486562
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 350126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 0.10.0-1.mga3
+ Revision: 268246
- New version

* Tue Nov 01 2011 gil <gil> 0.6.1-1.mga2
+ Revision: 160922
- imported package felix-gogo-runtime

